NetWaiting

NetWaiting offers you the ability to manage all your telephone communications while connected to the Internet, over a single telephone line.

This application allows you to put your Internet connection on hold while you:

  • Answer an incoming call

  • Ignore an incoming call

  • Place a telephone call

  • Forward your calls to another number

then return to it without losing your original Internet connection.

To have access to all the NetWaiting functions, your Internet Service Provider must use a server with a V.92 connection.

If you do not have a V.92 connection but a V.90, only the call signal function will operate and the current Internet connection will be lost if you choose to answer an incoming call. If you reject an incoming call, your Internet connection will be maintained.

The main window of NetWaiting

The main window of NetWaiting is displayed on screen when:

  • You receive a call during an Internet session.

  • You place a call during an Internet session by double clicking on the telephone icon (usually yellow) on the desktop toolbar.

The icons:

Accept accept an incoming call during an Internet connection
Reject reject an incoming call during an Internet connection
Disconnect end the current Internet session
Outgoing call place a call during an Internet session
Reconnect reconnect to the Internet
Table editor access the T able editor
Settings set communication parameters

Quit exit the application

Incoming call section

This section shows Caller ID data. NetWaiting will display the phone number if you have the Caller Waiting ID service and, if applicable, the caller's name, which will automatically be added to the table editor.

Status bar

This shows the status of the modem in real time. A timer shows the time remaining to select a call response option. This time varies according to the setting used by your Internet Service Provider.

  • If the given time has elapsed and you have not selected an option, the window will disappear, the call is ignored and your Internet session will continue. As far as the caller is concerned you are unavailable.

  • If you answer a call outside the time determined by your Internet Service Provider, your Internet connection will automatically be disconnected.

Note!

You only have a response time with a V.92 connection.

Receive a call during an Internet connection

When you receive a voice call during an Internet session, the main window of NetWaiting appears on the screen. It shows the telephone number of the caller if you have Caller Waiting ID and their name if you have previously added it to the table editor. The time remaining to respond to this call, allocated by your Internet Service Provider, is shown in the status bar.

To ignore a call:

  1. Click on the Reject icon.

  2. The main window of NetWaiting will disappear and the caller will receive no reply.

Your Internet session is maintained. As far as the caller is concerned, you are unavailable.

To answer a call:

  1. Click on the Accept icon. The main window of NetWaiting will disappear.

  2. Pick up your telephone handset as soon as it rings.

Your Internet session is put on hold during your telephone conversation.

To resume your Internet session, replace the handset and click on Reconnect.

Note: If you do not have a V.92 connection, accepting a call will automatically interrupt the existing Internet session.

When you receive a fax call during an Internet session, the main window of NetWaiting will appear on screen. The modem recognizes that it is a fax and redirects it to ePhoneTools. In this case, the current Internet session is interrupted.

You can reconnect to or disconnect from an Internet session during your voice communication by clicking on either Reconnect or Disconnect in the main window of NetWaiting.

Placing a call during an Internet connection

To place a voice call during an Internet connection:

  1. Double click the telephone icon (usually yellow) on the desktop toolbar. The main window of NetWaiting will appear on screen.

  2. Click the Outgoing Call icon. The modem will suspend the current Internet connection without disconnecting.

  3. Pick up the handset and place the call.

  4. Replace the handset once the call is finished and click on Reconnect to resume your Internet session.

You can reconnect to or disconnect from an Internet session during your voice communication by clicking on either Reconnect or Disconnect in the main window of NetWaiting.

Forwarding your calls to another number

  1. From the main window of NetWaiting, click on Settings.
  2. Check the box Automatically Forward Call.
  3. Click on the table editor button. The Caller ID table editor window will be displayed.
  4. Select the number to which you wish to forward your calls.
  5. Click on Export. The Settings window will be displayed again. The number and the name (if applicable) that you have just selected will appear in the Automatically Forward Call section.
  6. Click OK.

If the telephone number to which you wish to forward calls is not in the table editor, enter it directly into the Automatically Forward Call section (in this case, you do not need to open the table editor).

See also:

  • Access T able editor

  • Set your Settings


Phonebook

Table Editor

With NetWaiting, you have a table editor that recognizes and displays on screen your caller's telephone number. NetWaiting also displays the names that you have assigned to these numbers, so you can identify the caller and choose whether or not to answer. To use these functions, you must subscribe to the Caller Waiting ID service from your telephone provider.

Accessing the table editor

From the main window of NetWaiting, click on the Caller ID Table Editor icon. The table editor window will appear.

  • The Name column shows the name of the caller, which is displayed on your screen when this person calls.

  • The Telephone column shows the telephone number of the caller, which is displayed on your screen when this person calls.

  • The Save icon allows you to save the data entered, modified and/or deleted in the Name column.

  • The Delete icon allows you to delete entries from the table editor .

  • The Export icon is used for forwarding calls. It is only accessible (not grayed) when you configure call forward.

  • The Quit icon closes the table editor and returns to the main window of NetWaiting.

Saving and printing the table editor

You can export your table editor into a text file (.txt), save it to disk and print it out.

To do this:

  1. From the main window of NetWaiting, click on Caller ID Table Editor.

  2. Click on Export and select the path to the local directory where you wish to place the table editor .

  3. In the Filename box, enter the name that you wish to allocate to it.

  4. Click on Save. Your table editor is saved in the directory that you have specified.

Se also:

  • Main window of NetWaiting

  • Set your Preferences


Preferences

Settings

NetWaiting offers you the ability to pre-set certain options to activate or deactivate during your Internet session:

· Activate/Deactivate NetWaiting

· Specify call options:

- Forward your calls to another number

- Ignore all incoming calls

- Accept all incoming calls

- Choose ring tone

Access Settings menu

From the main window of NetWaiting, click on Settings. The Settings window will be displayed.

Communications tab

From this tab you can set up forwarding of all your incoming telephone calls to another telephone number and select your communication preferences.

Call forward:

1. From the main window of NetWaiting , click on Settings. The Settings window will be displayed.

2. Check the box Automatically Forward Call.

3. Click on the phonebook button. The Caller ID Phonebook window will be displayed.

4. Select the number to which you wish to forward your calls.

5. Click on Extract. The Settings window will be displayed again. The number and the name (if applicable) that you have just selected will appear in the Automatically Forward Call section.

6. Click OK.

Communication options:

In the NetWaiting section, you can check or uncheck the boxes listed below.

Disable immediate actions

Check this box to deactivate NetWaiting. In this case, the buttons on the main window of NetWaiting are inaccessible (grayed).

Ignore all incoming calls

Check this box to prevent being interrupted during Internet sessions. In this case, the caller will receive no reply.

Accept all incoming calls

Check this box to accept all incoming calls during Internet connections. In this case, the main window of NetWaiting will be displayed by default when you receive a call during an Internet session.

Screen all incoming calls and prompt the user

Check this box to be notified of all incoming calls during Internet sessions. In this case, the main window of NetWaiting will be displayed by default when you receive a call during an Internet session.

If no box is checked, the telephone icon (usually yellow) on the desktop toolbar will flash when you receive a call, but no message will be displayed on screen.

Customize tab

From this tab you can select the ring tone for all your incoming calls.

To do this:

1. Check Enable sound alerts.

2. In the Voice call section, click on the B rowse icon and indicate the path for the sound file that you wish to allocate to voice calls, then click on the Listen icon (an ear) to hear the ring tone that you have selected.

3. Click OK.

From this tab, you can also choose to have the Netwaiting presentation screen displayed when starting.

To do this:

Check the Show splash at startup box.

See also:

· Main window of NetWaiting

· Access Phonebook


V.92 connection

Asymmetric modem standard with a transmission speed of up to 56Kb per second in one direction. Unlike the V.90 standard where the upload speed has a ceiling of 33.6Kb per second, that of the V.92 reaches 48Kb per second. The modem can hold a live data connection suspended during a simultaneous voice call for up to 16 minutes. The standard has been adopted by the ITU (International Telecommunication Union).


Paramètres de configuration avancée

Advanced configuration settings

This window lets you set multiple sequences which will, in turn, allow your modem to accept or refuse an incoming call and to reconnect to the Internet (if the incoming call has been accepted). There is default sequence to define each action (accept, refuse and reconnect). However, depending on regional telephone service provisioning, the default sequence may not be applicable. Therefore, it is possible to customize multiple sequences to be available for each action. If this is the case, each action should be set manually.

To do this:

  1. Select the modem for which you wish to set the sequences.

  2. Click on Enable MOH for the modem to support this function.

  3. For each task (accepting or refusing an incoming call and reconnecting to the Internet), enter the modem sequence.

  4. Click on Apply to save the new sequence.

If you wish to use this new sequence, check the box Enable override default. Otherwise, the modem will use the default sequence.

If your modem does not automatically detect the handset pickup (when you answer an incoming call), check the box Handset relay support needed. When your modem detects an incoming call, a dialog box appears to notify you of the call and allow you to pick up.